JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Classes
juce::AnimatedPositionBehaviours Namespace Reference
juce_gui_basics » layout

Contains classes for different types of physics behaviours - these classes are used as template parameters for the AnimatedPosition class. More...

## Classes
struct | ContinuousWithMomentum
| A non-snapping behaviour that allows the content to be freely flicked in either direction, with momentum based on the velocity at which it was released, and variable friction to make it come to a halt. More...
struct | SnapToPageBoundaries
| A behaviour that gravitates an AnimatedPosition object towards the nearest integer position when released. More...

## Detailed Description

Contains classes for different types of physics behaviours - these classes are used as template parameters for the AnimatedPosition class.